#Tick Wolrd/Pack
#Item system
execute as @e[type=minecraft:item] at @s run particle minecraft:firework ~ ~0.3 ~ 0.2 0.2 0.2 0 1 force @a
effect give @e[type=minecraft:slime] minecraft:invisibility 1 1 true
#slime system to pick a box
execute as @e[type=slime,nbt={HurtTime:10s}] at @s run function main:slime
#player detect points item inventory
execute as @a[nbt={Inventory:[{id:"minecraft:diamond"}]}] run function main:points
execute as @a[nbt={Inventory:[{id:"minecraft:gold_ingot"}]}] run function main:points
execute as @a[nbt={Inventory:[{id:"minecraft:iron_ingot"}]}] run function main:points
execute as @a[nbt={Inventory:[{id:"minecraft:barrier"}]}] run function main:points
#player detect coin item inventory
execute as @a[nbt={Inventory:[{id:"minecraft:red_wool"}]}] run function main:wool
execute as @a[nbt={Inventory:[{id:"minecraft:blue_wool"}]}] run function main:wool
execute as @a[nbt={Inventory:[{id:"minecraft:lime_wool"}]}] run function main:wool
execute as @a[nbt={Inventory:[{id:"minecraft:yellow_wool"}]}] run function main:wool
#dealer randomize
execute as @e[tag=dealer] at @s run execute as @e[tag=box,distance=0..1,limit=1] at @s run teleport @s @e[tag=placeholder,limit=1,sort=random]
execute as @e[tag=dealer] at @s run execute as @e[tag=point,distance=0..1,limit=1] at @s run teleport @s @e[tag=itemholder,limit=1,sort=random]
#box kill placeholder and itemholder
execute as @e[tag=box] at @s run kill @e[tag=placeholder,distance=0..1]
execute as @e[tag=point] at @s run kill @e[tag=itemholder,distance=0..1]
#color player choose
execute as @e[tag=lobby] at @s run execute as @a[distance=0..20,tag=!player] at @s if block ~ ~-1 ~ red_wool run function main:pick_red
execute as @e[tag=lobby] at @s run execute as @a[distance=0..20,tag=!player] at @s if block ~ ~-1 ~ blue_wool run function main:pick_blue
execute as @e[tag=lobby] at @s run execute as @a[distance=0..20,tag=!player] at @s if block ~ ~-1 ~ lime_wool run function main:pick_green
execute as @e[tag=lobby] at @s run execute as @a[distance=0..20,tag=!player] at @s if block ~ ~-1 ~ yellow_wool run function main:pick_yellow
execute as @e[tag=lobby] at @s run execute as @a[distance=70..80,gamemode=adventure] run tp @s 0 95 28
#random shulker choise
execute as @e[tag=random.dealer] at @s run execute as @e[tag=random.red,distance=0..1] at @s run function main:random.red
execute as @e[tag=random.dealer] at @s run execute as @e[tag=random.blue,distance=0..1] at @s run function main:random.blue
execute as @e[tag=random.dealer] at @s run execute as @e[tag=random.green,distance=0..1] at @s run function main:random.green
#item never despawn
data merge entity @e[type=minecraft:item,limit=1] {Age:-32768}
effect give @a saturation 1 1 true
execute as @a[tag=!player.turn] at @s run data merge entity @e[type=minecraft:item,limit=1,distance=0..2] {PickupDelay:2,Item:{}}
#reset score
scoreboard players set @e[tag=lobby,scores={num.turn=5..}] num.turn 1
execute as @e[tag=lobby,scores={num.players=2..2,num.turn=3..3}] run function main:1.players
execute as @e[tag=lobby,scores={num.players=2..2,num.turn=3..3}] run scoreboard players set @s num.turn 1
execute as @e[tag=lobby,scores={num.players=3..3,num.turn=4..4}] run function main:1.players
execute as @e[tag=lobby,scores={num.players=3..3,num.turn=4..4}] run scoreboard players set @s num.turn 1
#bossbar display
execute as @a[tag=player.turn,tag=red] run bossbar set minecraft:turn name {"text":"Red turn","color":"red"}
execute as @a[tag=player.turn,tag=red] run bossbar set minecraft:turn color red
execute as @a[tag=player.turn,tag=blue] run bossbar set minecraft:turn name {"text":"Blue turn","color":"blue"}
execute as @a[tag=player.turn,tag=blue] run bossbar set minecraft:turn color blue
execute as @a[tag=player.turn,tag=green] run bossbar set minecraft:turn name {"text":"Green turn","color":"green"}
execute as @a[tag=player.turn,tag=green] run bossbar set minecraft:turn color green
execute as @a[tag=player.turn,tag=yellow] run bossbar set minecraft:turn name {"text":"Yellow turn","color":"yellow"}
execute as @a[tag=player.turn,tag=yellow] run bossbar set minecraft:turn color yellow
#coins display
title @a[tag=player] actionbar ["",{"score":{"name":"@a[tag=red]","objective":"coin"}},{"text":" Coins","color":"red"}," | ",{"score":{"name":"@a[tag=blue]","objective":"coin"}},{"text":" Coins","color":"blue"}," | ",{"score":{"name":"@a[tag=green]","objective":"coin"}},{"text":" Coins","color":"green"}," | ",{"score":{"name":"@a[tag=yellow]","objective":"coin"}},{"text":" Coins","color":"yellow"}]
scoreboard players set @e[tag=lobby,scores={board=8..8}] board 1
#other
execute as @e[tag=lobby] at @s run gamemode adventure @a[distance=0..20,gamemode=survival]
effect give @a[tag=!player.turn] weakness 1 100 true
#system who win
execute as @a[tag=player] run scoreboard players operation @s win = @s points
execute as @a[tag=player] run scoreboard players set fake.player win 0
execute as @a[tag=player] run scoreboard players operation fake.player win > @s win
#reset game
execute as @e[tag=lobby,scores={reset.lobby=1..1}] run function main:reset